Building a webhook integration? Read the webhook guide for signatures, retries, event schemas, and troubleshooting.
apiDeterministic

List tables

GET /api/mcp/enrichment/tables

List all enrichment tables in a workspace.

Parameters

workspaceId
string
Optional with API key auth, inferred from the key.

Example

REST requestbash
curl -X GET "https://app.pipeline.help/api/mcp/enrichment/tables" \
-H "Authorization: Bearer $PIPELINE_API_KEY"

Response

Success response schemajson schema
{
"type": "object",
"properties": {
"data": {
"type": "array",
"items": {
"type": "object",
"properties": {
"id": {
"type": "string"
},
"workspaceId": {
"type": "string"
},
"workbookId": {
"type": "string"
},
"name": {
"type": "string"
},
"description": {
"type": "string"
},
"columns": {
"type": "array",
"items": {
"type": "object"
}
},
"sourceType": {
"type": "string"
},
"runMode": {
"type": "string"
},
"briefId": {
"type": "string"
},
"position": {
"type": "number"
},
"rowCount": {
"type": "number"
},
"createdBy": {
"type": "string"
},
"createdAt": {
"type": "string"
},
"updatedAt": {
"type": "string"
}
},
"required": [
"id",
"workspaceId",
"name"
]
}
}
},
"required": [
"data"
]
}

HTTP errors

401
Missing or invalid API key.
403
Authenticated but not permitted for the workspace or resource.
404
The requested resource was not found.
Pipeline REST API reference | Pipeline